Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598640 - Group tree should share visuals with the resource tree
Summary: Group tree should share visuals with the resource tree
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 3.0.0
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
: ---
Assignee: Lukas Krejci
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-01 18:48 UTC by Lukas Krejci
Modified: 2010-08-12 16:45 UTC (History)
2 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:45:34 UTC


Attachments (Terms of Use)

Description Lukas Krejci 2010-06-01 18:48:27 UTC
Description of problem:

Group tree currently uses the old style graphics (i.e. connectors, old arrows, old icons).
This needs to be changed as follows:

- no connectors between parent and children
- the same arrows as in the resource nav tree
- the root node uses the "3 cubes" icon to visualize the fact it's the actual group
- the children of the group (i.e. the autogroups, subcategories or resource "clusters") use the same visuals as the resource nav tree (the cluster of services uses the service icon, autogroup uses an autogroup icon, subcategory uses a subcategory icon).

Comment 1 Lukas Krejci 2010-06-01 18:48:48 UTC
Implemented in the ui-updates branch.

Comment 2 Corey Welton 2010-06-09 15:11:30 UTC
Taking this one and marking it verified.  I have done extensive testing of groups, compatible and dyna compatible -- mixed don't really come into play much here, though I did do some negative testing there.

* There are no longer connectors
* Arrows exist
* Three cubes icon is used
* Icons match
* The children all retain same icons in the resource as they do in the tree.

Comment 3 Corey Welton 2010-08-12 16:45:34 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.